/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright (c) 2005-2007 V.Sokur
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * AorpCpro.h	(V.Sokur)
 * include/Bo/aorp/AorpCpro.h
 *
 * $Id$
 */

#ifdef __aorpc_ns_protocol
# if (__aorpc_implement_ops(__aorpc_ns_protocol_c,__aorpc_ns_protocol))
#  undef __aorpc_impl
#  define __aorpc_impl 1

/* @{ */
#  ifdef __aorpc_ns_protocol__
#   undef __aorpc_ns_protocol_c
#   define __aorpc_ns_protocol_c __aorpc_ns_protocol_c__
#   undef __aorpc_ns_protocol
#   define __aorpc_ns_protocol __aorpc_ns_protocol__
#   undef __aorpc_ns_id_protocol
#   ifdef __aorpc_ns_id_protocol__
#    define __aorpc_ns_id_protocol __aorpc_ns_id_protocol__
#   endif
#  endif
/* @} */

/* @{ */
#  ifdef __aorpc_realize_service_file

/* redefine macro __aorpc_realize_service to break
   the service into realized mode */
#   undef __aorpc_realize_service
#   define __aorpc_realize_service(aName) \
	__aorpc_implement_ops(__aorpc_ns_protocol_c,__myc_list_replacefront(__aorpc_ns_protocol,aName))

#   ifndef __aorpc_end_disable
#    define __aorpc_end_disable
#    include __aorpc_realize_service_file
#    undef __aorpc_end_disable
#   else
#    include __aorpc_realize_service_file
#   endif

/* restore default */
#   undef __aorpc_realize_service
#   define __aorpc_realize_service(aName) __aorpc_realize_service_default(aName)

#  endif /* __aorpc_realize_service_file */
/* @} */
# endif /* (__aorpc_implement_ops(__aorpc_ns_protocol_c,__aorpc_ns_protocol)) */
#endif /* __aorpc_ns_protocol */

#undef __aorpc_realize_service_file

#undef __aorpc_decl
#define __aorpc_decl __aorpc_decl_protocol
#include <Bo/aorp/_AorpC.h>

/******************************************************************************
 * Revision History:
 *		$Log$
 *
 *****************************************************************************/
