/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright (c) 2005-2007 V.Sokur
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * Kumobj.h	(V.Sokur)
 * include/Bo/aorp/Kumobj.h
 *
 * $Id$
 */

/* ------------------------------------------------------------------------- */

#ifndef __BO_AORP_KUMOBJ__
# define __BO_AORP_KUMOBJ__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Bo/objects/BokumP.h>

/******************************************************************************
 * %% BeginSection: function declarations
 */
# pragma mark -
# pragma mark [ function declarations ]
# pragma mark -

# if __myc_support(macro_retval)
#  define AorpKumobjMagic(anObj)
	__extension__ ({ \
		u_int32_t ___magic; \
		_A_cobject(Bokum) *___classp; \
		assert(NULL != anObj && AORP_IS_CUSTOM(anObj)); \
		___classp = (_A_cobject(Bokum) *)_Art_xclassof(anObj); \
		___magic = ___classp->kum_magic; \
		/* return */ (___magic); \
	})
# else
#  define AorpKumobjMagic(anObj) \
	(((_A_cobject(Bokum) *)_Art_xclassof(anObj))->kum_magic)
# endif

#endif /* !__BO_AORP_KUMOBJ__ */

/******************************************************************************
 * Revision History:
 *		$Log$
 *
 *****************************************************************************/
