/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright (c) 2005-2007 V.Sokur
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * StubI.h	(V.Sokur)
 * include/Bo/aorp/StubI.h
 *
 * $Id$
 */

/* ------------------------------------------------------------------------- */

#ifndef __BO_AORP_STUB_I__
# define __BO_AORP_STUB_I__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifndef __BO_AORP_TYPES_I__
#  include <Bo/aorp/TypesI.h>
# endif
# ifndef __BO_AORP_STUB_P__
#  include <Bo/aorp/StubP.h>
# endif

/******************************************************************************
 * %% BeginSection: function prototypes
 */
# pragma mark -
# pragma mark [ function prototypes ]
# pragma mark -

__MYC_BEGIN_CDECLS

__myc_vlinkage__(private,libBo) struct aorp_ops _G_stub_Stub_ops;
__myc_vlinkage__(private,libBo) struct aorp_cobject _G_Bostub_class;
__myc_vlinkage__(private,libBo) struct aorp_mobject _G_stub_module;

__myc_vlinkage__(private,libBo) struct aorp_operation _G_stub_aorp_op;
__myc_vlinkage__(private,libBo) struct aorp_operation _G_notconfigured_aorp_op;
__myc_vlinkage__(private,libBo) struct aorp_operation _G_inappropriate_aorp_op;
__myc_vlinkage__(private,libBo) struct aorp_operation _G_notimplemented_aorp_op;
__myc_vlinkage__(private,libBo) struct aorp_operation _G_notavailable_aorp_op;
__myc_vlinkage__(private,libBo) struct aorp_operation _G_notsupported_aorp_op;
__myc_vlinkage__(private,libBo) struct aorp_operation _G_notallowed_aorp_op;

__MYC_END_CDECLS

#endif /* !__BO_AORP_STUB_I__ */

/******************************************************************************
 * Revision History:
 *		$Log$
 *
 *****************************************************************************/
