/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright (c) 2005-2007 V.Sokur
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * _AorpCdefs.h	(V.Sokur)
 * include/Bo/aorp/_AorpCdefs.h
 *
 * $Id$
 */

/******************************************************************************
 * %% BeginSection: function prototypes
 */
#pragma mark -
#pragma mark [ function prototypes ]
#pragma mark -

#ifndef __BO_AORP__AORPC__
# include <Bo/aorp/_AorpC.h>
# define __BO_AORP__AORPC__
#endif

#ifndef __BO_AORP_TYPES__
# include <Bo/aorp/Types.h>
#endif
#ifndef __BO_AORP_TYPES_P__
# include <Bo/aorp/TypesP.h>
#endif

#ifndef __BO_AORP_INTRINSIC__
# include <Bo/aorp/Intrinsic.h>
#endif
#ifndef __BO_AORP_INTRINSIC_P__
# include <Bo/aorp/IntrinsicP.h>
#endif
#ifndef __BO_AORP_RUNTIME__
# include <Bo/aorp/Runtime.h>
#endif
#ifndef __BO_AORP_RUNTIME_P__
# include <Bo/aorp/RuntimeP.h>
#endif

#ifndef __BO_AORP__ABI__
# include <Bo/aorp/_ABI.h>
# define __BO_AORP__ABI__
#endif

#define __NEED__AORP_CDEFS_CTOR_DECLS
#include <Bo/services/Ctor.h>

/******************************************************************************
 * Revision History:
 *		$Log$
 *
 *****************************************************************************/
