/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright (c) 2005-2007 V.Sokur
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * _CtnrerrnoI.h	(V.Sokur)
 * include/Bo/services/alg/basis/_CtnrerrnoI.h
 *
 * $Id$
 */

/* ------------------------------------------------------------------------- */

#ifndef __BO_SERVICES_ALG_BASIS__CTNRERRNO_I__
# define __BO_SERVICES_ALG_BASIS__CTNRERRNO_I__

/******************************************************************************
 * %% BeginSection: type declarations
 */
# pragma mark -
# pragma mark [ type declarations ]
# pragma mark -

/* NOT FOR YOUR BUSINESS @{ */
# ifndef BoS_ERR_CTNR_KEYINVALSYNTAX
#  define BoS_ERR_CTNR_KEYINVALSYNTAX (-101)
# endif
# ifndef BoS_ERR_CTNR_INVALKEY
#  define BoS_ERR_CTNR_INVALKEY (-102)
# endif
# ifndef BoS_ERR_CTNR_KEYNOTSUPP
#  define BoS_ERR_CTNR_KEYNOTSUPP BoS_NOTSUPP /* (-103) */
# endif
# ifndef BoS_ERR_CTNR_KEYNOTFOUND
#  define BoS_ERR_CTNR_KEYNOTFOUND (-104)
# endif
# ifndef BoS_ERR_CTNR_KEYEXIST
#  define BoS_ERR_CTNR_KEYEXIST (-105)
# endif
/* @} */

#endif /* !__BO_SERVICES_ALG_BASIS__CTNRERRNO_I__ */

/******************************************************************************
 * Revision History:
 *		$Log$
 *
 *****************************************************************************/
