/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright (c) 2005-2007 V.Sokur
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * Uriop.h	(N.Panasiuk)
 * include/Bo/services/hilis/Uriop.h
 *
 * $Id$
 */

/* ------------------------------------------------------------------------- */

#ifndef __BO_SERVICES_HILIS_URI_OP__
# define __BO_SERVICES_HILIS_URI_OP__

/******************************************************************************
 * %% BeginSection: constant declarations
 */
# pragma mark -
# pragma mark [ constant declarations ]
# pragma mark -

# define AorpK_uri_getstring (4)
# define AorpK_uri_getstring_w (5)
# define AorpK_uri_getfspath (6)
# define AorpK_uri_getfspath_w (7)
# define AorpK_uri_getfspath_dma (8)
# define AorpK_uri_gethostname (9)
# define AorpK_uri_gethostname_dma (10)
# define AorpK_uri_getportnum (11)
# define AorpK_uri_getport (12)
# define AorpK_uri_getport_dma (13)
# define AorpK_uri_getusername (14)
# define AorpK_uri_getusername_dma (15)
# define AorpK_uri_getpasswd (16)
# define AorpK_uri_getpasswd_dma (17)
# define AorpK_uri_getparm (18)
# define AorpK_uri_getparm_dma (19)
# define AorpK_uri_getquery (20)
# define AorpK_uri_getquery_dma (21)
# define AorpK_uri_getfragment (22)
# define AorpK_uri_getfragment_dma (23)

# define AorpK_uri_opc (24)

#endif /* !__BO_SERVICES_HILIS_URI_OP__ */

/******************************************************************************
 * Revision History:
 *		$Log$
 *
 *****************************************************************************/
