/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright (c) 2009 V.Sokur
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * Otiop.h	(S.Makhmali)
 * include/Bo/services/net/Otiop.h
 *
 * $Id$
 */

/* ------------------------------------------------------------------------- */

#ifndef __BO_SERVICES_NET_OTI_OP__
# define __BO_SERVICES_NET_OTI_OP__

/******************************************************************************
 * %% BeginSection: constant declarations
 */
# pragma mark -
# pragma mark [ constant declarations ]
# pragma mark -

# define AorpK_oti_mklisten (4)
# define AorpK_oti_listen (5)
# define AorpK_oti_accept (6)

# define AorpK_oti_connect (7)

# define AorpK_oti_receive (8)
# define AorpK_oti_send (9)

# define AorpK_oti_rcvconn (10)
# define AorpK_oti_reserved1 (11)

# define AorpK_oti_rcvudata (12)
# define AorpK_oti_rcvuderr (13)
# define AorpK_oti_sndudata (14)

# define AorpK_oti_rcvvudata (15)
# define AorpK_oti_sndvudata (16)

# define AorpK_oti_recvmsg (17)
# define AorpK_oti_sendmsg (18)

# define AorpK_oti_getprotaddr (19)

# define AorpK_oti_disconnect (20)
# define AorpK_oti_shutdown (21)

# define AorpK_oti_rcvrel (22)
# define AorpK_oti_rcvdis (23)

# define AorpK_oti_opc (24)

#endif /* !__BO_SERVICES_NET_OTI_OP__ */

/******************************************************************************
 * Revision History:
 *		$Log$
 *
 *****************************************************************************/
