/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright (c) 2005-2007 V.Sokur
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * Linkage.h	(V.Sokur)
 * include/Bo/whereami/plaf/w32/Linkage.h
 *
 * $Id$
 */

/* ------------------------------------------------------------------------- */

/* @todo: fixme */
#define __myc_asm_linkage __declspec(naked)

/* @{ */
#define myc_flinkage_shlib_are_defined
#define myc_vlinkage_shlib_are_defined

#define myc_flinkage_shlib_export extern __declspec(dllexport)
#define myc_flinkage_shlib_private /* extern */
#define myc_flinkage_shlib_internal /* extern */
#define myc_flinkage_shlib_import extern __declspec(dllimport)

#define myc_vlinkage_shlib_export extern __declspec(dllexport)
#define myc_vlinkage_shlib_private extern
#define myc_vlinkage_shlib_internal extern
#define myc_vlinkage_shlib_import extern __declspec(dllimport)
/* @} */

/* @{ */
#define myc_calltype_are_defined
#define myc_tcalltype_are_defined

#define myc_calltype_cdecl __cdecl
#define myc_calltype_stdcall __stdcall
#define myc_calltype_mcall __cdecl
#define mcalltype __cdecl

#define myc_tcalltype_cdecl __cdecl
#define myc_tcalltype_stdcall __stdcall
#define myc_tcalltype_mcall __cdecl
/* @} */
