/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2018 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Mvintrin.h	(V.Sokur)
 * Vipm/Mvintrin.h
 *
 * [ simd (vector) intrinsic(s)/instruction/... ]
 */

/* ------------------------------------------------------------------------- */

#ifndef __VIPM_MMINTRIN_H__
# include <Vipm/Mmintrin.h>
#endif

#ifndef __VIPM_MVINTRIN_H__
# define __VIPM_MVINTRIN_H__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifdef __VIPM_USE_SIMD

#  ifdef __VIPM_ARM_NEON
#   include <Vipm/Simd.arm_neon.h>
#  else
#  ifdef __VIPM_SSE
#   include <Vipm/Simd.sse.h>
#  else
#  endif /* sse */
#  endif /* arm.neon */

# endif /* defined(__VIPM_USE_SIMD) */


#endif /* !defined(__VIPM_MVINTRIN_H__) */


/******************************************************************************
 *
 *
 *
 *****************************************************************************/
