/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2016 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Utils.h	(V.Sokur)
 * Vipm/Utils.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VIPM_UTILS_H__
# define __VIPM_UTILS_H__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifndef __VIPM_TYPES_H__
#  include <Vipm/Types.h>
# endif

# ifndef __VIPM_UTILS_CPUINFO_H__
#  include <Vipm/Utils/Cpuinfo.h>
# endif
# ifndef __VIPM_UTILS_MACHSUPP_H__
#  include <Vipm/Utils/Machsupp.h>
# endif
# ifndef __VIPM_UTILS_MOTLEY_H__
#  include <Vipm/Utils/Motley.h>
# endif
# ifndef __VIPM_UTILS_VALUERANGE_H__
#  include <Vipm/Utils/ValueRange.h>
# endif

# ifndef __VIPM_MATH_UTILS_VECSPACEUTILS_H__
#  include <Vipm/Math/Utils/VecSpaceUtils.h>
# endif
# ifndef __VIPM_MATH_UTILS_DIMSUTILS_H__
#  include <Vipm/Math/Utils/DimsUtils.h>
# endif
# ifndef __VIPM_MATH_GEOMETRY_COREUTILS_H__
#  include <Vipm/Math/Geometry/CoreUtils.h>
# endif

# ifndef __VIPM_UTILS_XENV_H__
#  include <Vipm/Utils/Xenv.h>
# endif
# ifndef __VIPM_UTILS_ARRAY_H__
#  include <Vipm/Utils/Array.h>
# endif

#endif /* !defined(__VIPM_UTILS_H__) */


/******************************************************************************
 *
 *
 *
 *****************************************************************************/
