/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2016 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Base_Limits.h	(V.Sokur)
 * Vipm/_Types/Base_Limits.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VIPM__TYPES_BASE__LIMITS_H__
# define __VIPM__TYPES_BASE__LIMITS_H__

/******************************************************************************
 * %% BeginSection: includes
 */

/*
# ifndef __VIPM_CDEFS_H__
#  include <Vipm/Cdefs.h>
# endif

# ifndef __BO_LIBC_LIMITS__
#  include <Bo/libc/Limits.h>
# endif
 */


/******************************************************************************
 * %% BeginSection: constant declarations
 */

/*
 * @{
 * Limits
 */

/* @todo: fixme */

# define VipmK_SCHAR_MAX            127
# define VipmK_SCHAR_MIN            (-VipmK_SCHAR_MAX - 1)
# define VipmK_SHRT_MAX             32767
# define VipmK_SHRT_MIN             (-VipmK_SHRT_MAX - 1)
# define VipmK_INT_MAX              2147483647
# define VipmK_INT_MIN              (-VipmK_INT_MAX - 1)
# define VipmK_INT64_MAX            9223372036854775807L
# define VipmK_INT64_MIN            (-VipmK_INT64_MAX - 1)
# if (64 <= BO_WIDTHOF_MWORD)
#  define VipmK_LONG_MAX            VipmK_INT64_MAX
#  define VipmK_LONG_MIN            VipmK_INT64_MIN
# else
#  define VipmK_LONG_MAX            VipmK_INT_MAX
#  define VipmK_LONG_MIN            VipmK_INT_MIN
# endif

# define VipmK_UCHAR_MAX            255
# define VipmK_UCHAR_MIN            0
# define VipmK_USHRT_MAX            0xFFFF
# define VipmK_USHRT_MIN            0
# define VipmK_UINT_MAX             0xFFFFFFFF
# define VipmK_UINT_MIN             0
# define VipmK_UINT64_MAX           0xFFFFFFFFFFFFFFFFLU
# define VipmK_UINT64_MIN           0
# if (64 <= BO_WIDTHOF_MWORD)
#  define VipmK_ULONG_MAX           VipmK_UINT64_MAX
#  define VipmK_ULONG_MIN           VipmK_UINT64_MIN
# else
#  define VipmK_ULONG_MAX           VipmK_UINT_MAX
#  define VipmK_ULONG_MIN           VipmK_UINT_MIN
# endif

/*
 * Limits
 * @}
 */

#endif /* !defined(__VIPM__TYPES_BASE__LIMITS_H__) */


/******************************************************************************
 *
 *
 *
 *****************************************************************************/
