/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * devType.h	(N.Panasiuk)
 * include/Vodi/devType.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_DEVTYPE__
# define __VODI_DEVTYPE__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifndef __BO_SYS_TYPES__
#  include <Bo/sys/Types.h>
# endif

/******************************************************************************
 * %% BeginSection: type/constant declarations
 */
# pragma mark -
# pragma mark [ type/constant declarations ]
# pragma mark -

/*
 * Well-known device types
 */

enum {
	VodiK_CPU_DEV,
	VodiK_GPU_DEV,
	VodiK_MYRIAD_DEV,

	VodiL_NDEVTYPES
};
typedef int vodi_devtyp_t;

#endif /* !defined(__VODI_DEVTYPE__) */

/******************************************************************************
 *
 *
 *
 *****************************************************************************/
