/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Rvpwprinc.h	(N.Panasiuk)
 * include/Vodi/objects/Rvpwprinc.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_OBJECTS_RVPWPRINC__
# define __VODI_OBJECTS_RVPWPRINC__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Bo/sys/Types.h>

/******************************************************************************
 * %% BeginSection: type/constant declarations
 */
# pragma mark -
# pragma mark [ type/constant declarations ]
# pragma mark -

/*
 * Rvpwprinc
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * constructor, descriptor, ucntl, vodiprinc
 */
/*
# define AorpK_Rvpwprinc_object (1511)
# define AorpK_Rvpwprinc_object_creatable 1
*/
# include <Vodi/services/MIB/Objects.h>

/******************************************************************************
* %% BeginSection: type declarations
*/
# pragma mark -
# pragma mark [ type declarations ]
# pragma mark -

_A_xobject(Rvpwprinc);

# include <Bo/services/alg/_Xucntl.h>
# include <Vodi/services/alg/_Rvpwprinc.h>

/******************************************************************************
* %% BeginSection: function prototypes
*/
# pragma mark -
# pragma mark [ function prototypes ]
# pragma mark -

# include <Vodi/VodiLinkage.h>

__MYC_BEGIN_CDECLS

/*
 * Canonical prototype
 */

 __myc_flinkage__(public, libVodi) aorp_object_t
RvpwprincOpen_c(
	aorp_opflags_t Flags,
	bo_pointer_t aMemory,
	aorp_podinit_t aParmv[],
	size_t aParmc,
	struct aorp_error *anErrPtr __myc_defval__(NULL)
	);

__myc_flinkage__(public, libVodi) aorp_object_t
RvpwprincOpen(
	aorp_opflags_t Flags __myc_defval__(0),
	bo_pointer_t aMemory __myc_defval__(NULL),
	char const *aHost __myc_defval__(NULL),
	char const *aPort __myc_defval__(NULL),
	unsigned aThreadcMax __myc_defval__(0),
	struct aorp_error *anErrPtr __myc_defval__(NULL)
	);

__MYC_END_CDECLS

#endif /* !__VODI_OBJECTS_RVPWPRINC__ */

/*
 *
 */
