/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Modules.h	(N.Panasiuk)
 * include/Vodi/services/MIB/Modules.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_SERVICES_MIB_MODULES__
# define __VODI_SERVICES_MIB_MODULES__

/******************************************************************************
 * %% BeginSection: constant declarations
 */

/*
 * Modules (MIB)
 */
# include <Bo/services/MIB/Modules.h>

/*
 * Range: [1500 - 1600[
 */

/*
 * vodi
 * oid: <<category>>/<<module>>
 */
# define AorpK_vodi_module (1500)

/*
 * vpw
 * oid: <<category>>/<<module>>
 */
# define AorpK_vpw_module (1501)

/*
 * vpwc
 * oid: <<category>>/<<module>>
 */
# define AorpK_vpwc_module (1502)

/*
 * vpwi
 * oid: <<category>>/<<module>>
 */
# define AorpK_vpwi_module (1504)

/*
 * vpwi_almost
 * oid: <<category>>/<<module>>
 */
# define AorpK_vpwi_almost_module (1505)

/*
 * vipaz_gm
 * oid: <<category>>/<<module>>
 */
# define AorpK_vipaz_gm_module (1507)

/*
 * laziness
 * oid: <<category>>/<<module>>
 */
# define AorpK_laziness_module (1509)

/*
 * tlw
 */
# define AorpK_tlw_module (1510)

/*
 * tlwc_default
 */
# define AorpK_tlwc_default_module (1511)

/*
 * tlwc
 */
# define AorpK_tlwc_module (1512)

/*
* vpwc_default
* oid: <<category>>/<<module>>
*/
# define AorpK_vpwc_default_module (1513)

/*
 * vipmdfl
 * oid: <<category>>/<<module>>
 */
# define AorpK_vipmdfl_module (1514)

/*
 * vipm
 * oid: <<category>>/<<module>>
 */
# define AorpK_vipm_module (1514)

/*
 * vipm-c
 * oid: <<category>>/<<module>>
 */
# define AorpK_vipmc_module (1515)

/*
 * vipm-ipp
 * oid: <<category>>/<<module>>
 */
# define AorpK_vipmipp_module (1516)

/*
 * vipm-opencv
 * oid: <<category>>/<<module>>
 */
# define AorpK_vipmopencv_module (1517)

/*
 * vipm-cvtegra
 * oid: <<category>>/<<module>>
 */
# define AorpK_vipmcvtegra_module (1518)

/*
 * vipm-cfull
 * oid: <<category>>/<<module>>
 */
# define AorpK_vipmcfull_module (1519)

/*
 * vpwr
 * oid: <<category>>/<<module>>
 */
# define AorpK_vpwr_module (1520)

/*
 * vpws
 * oid: <<category>>/<<module>>
 */
# define AorpK_vpws_module (1521)

/*
 * vpwri
 * oid: <<category>>/<<module>>
 */
# define AorpK_vpwri_module (1522)

#endif /* !__VODI_SERVICES_MIB_MODULES__ */

/*
 *
 */
