/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Services.h	(N.Panasiuk)
 * include/Vodi/services/MIB/Services.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_SERVICES_MIB_SERVICES__
# define __VODI_SERVICES_MIB_SERVICES__

/******************************************************************************
 * %% BeginSection: constant declarations
 */

/*
 * Services (MIB)
 */
# include <Bo/services/MIB/Services.h>

/*
 * Range: [1500 - 1600[
 */

/*
 * vodi
 */
# define AorpK_vodi_pseudo_service (1500)
# define AORP_vodi_pseudo_service "vodi"
# define _AORP_vodi_pseudo_service vodi

/*
 * vodiprinc {\object(instance)}
 */
# define AorpK_vodiprinc_service (1501)

/*
 * vodiens {\object(instance)}
 */
# define AorpK_vodiens_service (1502)

/*
 * vodires {\object(instance)}
 */
# define AorpK_vodires_service (1503)

/*
 * lpvi {\object(class)}
 */
# define AorpK_lpvi_service (1504)

/*
 * lpvlib {\object(class)}
 */
# define AorpK_lpvlib_service (1505)

/*
 * zlist
 */
# define AorpK_zlist_service (1510)

/*
 * vipm {\object(class)}
 */
# define AorpK_vipm_service (1511)

/*
 * voditl {\object(class)}
 */
# define AorpK_voditl_service (1512)

/*
 * vodilim
 */
# define AorpK_vodilim_service (1513)

/*
 * vodiprincopen {\object(instance)}
 */
# define AorpK_vodiprincopen_service (1514)

/*
 * Free: [1515 - 1540[
 */

/*
 * vipseg {\object(class)}
 */
# define AorpK_vipseg_service (1540)

#endif /* !defined(__VODI_SERVICES_MIB_SERVICES__) */

/******************************************************************************
 *
 *
 *
 *****************************************************************************/
