/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * _ZLGuard.h	(N.Panasiuk)
 * include/Vodi/services/alg/_ZLGuard.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_SERVICES_ALG__ZLGUARD__
# define __VODI_SERVICES_ALG__ZLGUARD__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Vodi/services/ZlistP.h>

# include <Bo/Thrtypes.h>

/******************************************************************************
 * %% BeginSection: type declarations
 */
# pragma mark -
# pragma mark [ type declarations ]
# pragma mark -

/*
 * ZLGuard
 *
 * zlist
 * oid: <<category>>/<<service>>/<<domain>>/<<impl>>
 */
/*
# define AorpK_ZLGuard_opdom (1515)
# define AorpK_ZLGuard_opdom_empty 0
*/
# include <Vodi/services/MIB/Opdom.h>

# define __aorpc_ns_protocol_c 2
# define __aorpc_ns_protocol (zlist,ZLGuard)
# include <Bo/aorp/AorpCproi.h>

_A_protocol_init(zlist,ZLGuard)
{
	_A_hbdecl_;
	bo_smutex_t   *mx;
	aorp_object_t  xs;
}
_A_end;

# include <Bo/aorp/AorpCend.h>

#endif /* !__VODI_SERVICES_ALG__ZLGUARD__ */

/*
 *
 */
