/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Params.h	(N.Panasiuk)
 * include/bwr/Vodi/utils/libintr/Params.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_UTILS_LIBINTR_PARAMS__
# define __VODI_UTILS_LIBINTR_PARAMS__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Bo/sys/Types.h>

/******************************************************************************
 * %% BeginSection: definitions
 */

/*
 * Defaults
 */

# define VODI_ARRIO_OUTPUT_FORMAT_DEFAULT "bmp"

/*
 * SEX
 */

# define VodiK_SEX_SCBUFSZ_DEFAULT 1024
# define VodiK_SEX_TABSZ_DEFAULT   8

# define VodiK_SEX_PREC_MIN     0
# define VodiK_SEX_PREC_MAX     9
# define VodiK_SEX_PREC_DEFAULT VodiK_SEX_PREC_MAX
# define VodiK_SEX_ASS_DEFAULT  VodiK_SEX_LEFT_ASS

# define VodiK_SEX_TUP_MAX      100

#endif /* !defined(__VODI_UTILS_LIBINTR_PARAMS__) */

/******************************************************************************
 *
 *
 *
 *****************************************************************************/
