/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Scan.h	(N.Panasiuk)
 * include/bwr/Vodi/utils/sex/Scan.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_UTILS_SEX_SCAN__
# define __VODI_UTILS_SEX_SCAN__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifndef __VODI_UTILS_SEX_TYPES__
#  include <Vodi/utils/sex/Types.h>
# endif

# ifndef __BO_LIBC_STDIO__
#  include <Bo/libc/Stdio.h>
# endif

/******************************************************************************
 * %% BeginSection: function prototypes
 */
# pragma mark -
# pragma mark [ function prototypes ]
# pragma mark -

# ifndef __VODI_UTILS_LIBINTR_LINKAGE__
#  include <Vodi/utils/libintr/Linkage.h>
# endif

__MYC_BEGIN_CDECLS

__myc_flinkage__(public,libVodiUTILS) vodi_sex_t *
__attribute__((nonnull(1)))
VodiSEXsscan(
# if __myc_require(prototypes)
	char const *anExpression,
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) vodi_sex_t *
__attribute__((nonnull(1)))
VodiSEXfscan(
# if __myc_require(prototypes)
	FILE *aFile,
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) vodi_sex_t *
__attribute__((nonnull(1)))
VodiSEXpscan(
# if __myc_require(prototypes)
	char const *aFSPath,
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__MYC_END_CDECLS

#endif /* !defined(__VODI_UTILS_SEX_SCAN__) */

/******************************************************************************
 *
 *
 *
 *****************************************************************************/
