/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Types.h	(N.Panasiuk)
 * include/bwr/Vodi/utils/sex/Types.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_UTILS_SEX_TYPES__
# define __VODI_UTILS_SEX_TYPES__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifndef __VODI_UTILS_TYPES__
#  include <Vodi/utils/Types.h>
# endif

# ifndef __BO_LIBC_STDARG__
#  include <Bo/libc/Stdarg.h>
# endif

/******************************************************************************
 * %% BeginSection: type/constant declarations
 */
# pragma mark -
# pragma mark [ type/constant declarations ]
# pragma mark -

struct vodi_sex;
typedef struct vodi_sex vodi_sex_t;
# define vodi_sex_p(x) ((struct vodi_sex *)(x))

/*
 * Error/Warning log
 */

struct vodi_sex_log;

typedef void
(__myc_tcalltype__(mcall) *vodi_sex_log_fn)(
# if __myc_require(prototypes)
	struct vodi_sex_log *aLog,
	int anErrCode,
	va_list ArgPtr
# endif
	) __attribute__((mcalltype, nonnull(1)));

struct vodi_sex_log {
	vodi_sex_log_fn logproc;
};
# define vodi_sex_log_p(x) ((struct vodi_sex_log *)(x))

# define VODI_SEX_Log(aLog,anErrCode,ArgPtr) \
	((*vodi_sex_log_p(aLog)->logproc)( \
		vodi_sex_log_p(aLog),anErrCode,ArgPtr \
	))

#endif /* !defined(__VODI_UTILS_SEX_TYPES__) */

/******************************************************************************
 *
 *
 *
 *****************************************************************************/