/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright (c) 2005-2007 V.Sokur
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * Mconfig.h	(V.Sokur)
 * include/Bo/whereami/machine/arm7/Mconfig.h
 *
 * $Id$
 */

/* ------------------------------------------------------------------------- */

#ifdef _M_ARM64
# define SIZEOF_BYTE 1
# define SIZEOF_SHORT 2
# define SIZEOF_INT 4
/* @todo: fixme */
# if defined(__LLP64__) || defined(__LLP64) || defined(_WIN32) || defined(_WIN64)
#  define SIZEOF_LONG 4
# else
#  define SIZEOF_LONG 8
# endif
# define SIZEOF_PTR 8
#else
#ifdef _M_ARM32
# define SIZEOF_BYTE 1
# define SIZEOF_SHORT 2
# define SIZEOF_INT 4
# define SIZEOF_LONG 4
# define SIZEOF_PTR 4
#else
#endif
#endif
