/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright (c) 2005-2007 V.Sokur
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * Sysconfig.h	(V.Sokur)
 * include/Bo/whereami/plaf/macosx/Sysconfig.h
 *
 * $Id$
 */

/* ------------------------------------------------------------------------- */

#include <Bo/whereami/plaf/bsd/Sysconfig.h>

#undef has_sys7bitstring_h
#undef has_int_fmtio_h
#undef has_machine7atomic_h
#undef has_machine7cpufunc_h

#undef HAS_PTHREAD_YIELD
#define HAS_PTHREAD_YIELD_NP
#undef HAS_PTHREAD_SUSPEND
#undef HAS_PTHREAD_SUSPEND_NP
#undef HAS_PTHREAD_RESUME
#undef HAS_PTHREAD_RESUME_NP

#define CHAR_FSPATH_REPRESENTATION
#define BO_FSPATH2WPATH_PLAF_IMPL
#define BO_WPATH2FSPATH_PLAF_IMPL
