/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2016 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Statistics.h	(V.Sokur)
 * Vipm/Statistics.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VIPM_STATISTICS_H__
# define __VIPM_STATISTICS_H__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifndef _VIPM_NEED_ALL_ALG
#  define _VIPM_NEED_ALL_ALG    0
#  include "VipmAll.h"
#  undef _VIPM_NEED_ALL_ALG
# else
#  include "VipmAll.h"
# endif

/* ------------------------------------------------------------------------- */

# ifndef __VIPM_STATISTICS_HISTOGRAM_H__
#  include "Vipm/Statistics/Histogram.h"
# endif
# ifndef __VIPM_STATISTICS_MINMAX_H__
#  include "Vipm/Statistics/Minmax.h"
# endif
# ifndef __VIPM_STATISTICS_SUM_H__
#  include "Vipm/Statistics/Sum.h"
# endif
# ifndef __VIPM_STATISTICS_MEAN_H__
#  include "Vipm/Statistics/Mean.h"
# endif
# ifndef __VIPM_STATISTICS_COUNTRELBOX_H__
#  include "Vipm/Statistics/CountRelBox.h"
# endif


#endif /* !defined(__VIPM_STATISTICS_H__) */


/******************************************************************************
 *
 *
 *
 *****************************************************************************/
