/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2016 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Machsupp.h	(V.Sokur)
 * Vipm/Utils/Machsupp.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VIPM_UTILS_MACHSUPP_H__
# define __VIPM_UTILS_MACHSUPP_H__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifndef __VIPM_TYPES_H__
#  include <Vipm/Types.h>
# endif


/******************************************************************************
 * %% BeginSection: function prototypes
 */
# pragma mark -
# pragma mark [ function prototypes ]
# pragma mark -

# include <Vipm/Linkage.h>
# define __PUB  __myc_flinkage__(public,libVipm)
# define __VPUB __myc_vlinkage__(public,libVipm)
__MYC_BEGIN_CDECLS

__PUB int       vipm_use_simd __P((vipm_ulong Options));


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

/* protected @{ */
__VPUB int     _G_vipm_use_simd;
__PUB  int      __vipm_use_simd __P((void));
/* @} */
_VIPM_INLINE int vipm_use_simd __P((vipm_ulong Options))
{
	return (!(VipmF_NOSIMD & Options) && (0 <= _G_vipm_use_simd ? _G_vipm_use_simd : __vipm_use_simd()));
}

__MYC_END_CDECLS
# undef __PUB
# undef __VPUB

#endif /* !defined(__VIPM_UTILS_MACHSUPP_H__) */


/******************************************************************************
 *
 *
 *
 *****************************************************************************/
