/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Version.h	(N.Panasiuk)
 * include/Vipm/Version.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VIPM_VERSION_H__
# define __VIPM_VERSION_H__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Bo/sys/Types.h>

/******************************************************************************
 * %% BeginSection: definitions
 */

# define VIPM_MAJOR_VERSION 0
# define VIPM_MINOR_VERSION 0
# define VIPM_TEENY_VERSION 10

# define VIPM_VERSION _BO_MKVERSION(\
	VIPM_MAJOR_VERSION, VIPM_MINOR_VERSION, VIPM_TEENY_VERSION)
# define VIPM_VERSION_STR _BO_MKSVERSION(\
	VIPM_MAJOR_VERSION, VIPM_MINOR_VERSION, VIPM_TEENY_VERSION)

# define VIPM_VERSION_MIN(aMajor,aMinor,aTeeny) \
	(((aMajor) < VIPM_MAJOR_VERSION) \
	|| ((aMajor) == VIPM_MAJOR_VERSION && (aMinor) < VIPM_MINOR_VERSION) \
	|| ((aMajor) == VIPM_MAJOR_VERSION && (aMinor) == VIPM_MINOR_VERSION \
		&& (aTeeny) <= VIPM_TEENY_VERSION))

#endif /* !defined(__VIPM_VERSION_H__) */

/******************************************************************************
 *
 *
 *
 *****************************************************************************/
