/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2016 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Types.h	(V.Sokur)
 * Vipm/Warp/Resize/Types.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VIPM_WARP_RESIZE_TYPES_H__
# define __VIPM_WARP_RESIZE_TYPES_H__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifndef __VIPM_TYPES_H__
#  include <Vipm/Types.h>
# endif


/******************************************************************************
 * %% BeginSection: types/constants
 */



/* ========================================================================= */

typedef bo_status_t (*vipma_resize_fn)(
#if __myc_require(prototypes)
	struct _Vipm_xenv              *aXenv,
	vipm_ulong                      Options,
	vipm_rank_t                     aRank,
	vipm_int const                  aVolumeDst[],
	vipm_int const                  aVolumeSrc[],       /* = NULL */
	vipm_uint                       anElemType,
	vipm_mutptr_t                   aBaseDst, vipm_int const aStartDst[], vipm_int const aStrideDst[],
	vipm_imuptr_t                   aBaseSrc, vipm_int const aStartSrc[], vipm_int const aStrideSrc[],
	vipm_int                        anInterMethod,
	vipm_scalar_t const             aReszFactor[]       /* = NULL */
#endif
	);


#endif /* !defined(__VIPM_WARP_RESIZE_TYPES_H__) */


/******************************************************************************
 *
 *
 *
 *****************************************************************************/
