/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2016 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Utils.h	(V.Sokur)
 * Vipm/Warp/Resize/Utils.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VIPM_WARP_RESIZE_UTILS_H__
# define __VIPM_WARP_RESIZE_UTILS_H__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifndef __VIPM_WARP_RESIZE_TYPES_H__
#  include "Vipm/Warp/Resize/Types.h"
# endif


/******************************************************************************
 * %% BeginSection: function prototypes
 */
# pragma mark -
# pragma mark [ function prototypes ]
# pragma mark -

# include <Vipm/Linkage.h>
# define __PUB __myc_flinkage__(public,libVipm)
# define __PROT __myc_flinkage__(public,libVipm)
# define __PRIV __myc_flinkage__(private,libVipm)
__MYC_BEGIN_CDECLS

__PUB vipm_scalar_t    *vipm_mkreszf    __P((vipm_int, vipm_scalar_t [], vipm_int const [], vipm_int const []));
__PUB vipm_scalar_t    *vipm_mkreszfS   __P((vipm_int, vipm_scalar_t [], vipm_int const [], vipm_int const []));

__PUB int               vipm_fixreszf   __P((vipm_int, vipm_scalar_t [], vipm_scalar_t const [],
                                                 vipm_int const [], vipm_int const []));
__PUB int               vipm_fixreszfS  __P((vipm_int, vipm_scalar_t [], vipm_scalar_t const [],
                                                 vipm_int const [], vipm_int const []));

__MYC_END_CDECLS
# undef __PUB
# undef __PROT
# undef __PRIV


#endif /* !defined(__VIPM_WARP_RESIZE_UTILS_H__) */


/******************************************************************************
 *
 *
 *
 *****************************************************************************/
