/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2016 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * _GeomXform.h	(V.Sokur)
 * Vipm/_Types/_GeomXform.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VIPM__TYPES__GEOMXFORM_H__
# define __VIPM__TYPES__GEOMXFORM_H__

/******************************************************************************
 * %% BeginSection: includes
 */

/*
# ifndef __VIPM_CDEFS_H__
#  include <Vipm/Cdefs.h>
# endif
# ifndef __VIPM__TYPES_CORE__TYPES_H__
#  include "Vipm/_Types/Core_Types.h"
# endif
 */


/******************************************************************************
 * %% BeginSection: constant declarations / definitions
 */

/*
 * @{
 * GeomXform Types
 */

/* ----------------------------------------------------------------------------
 * @{
 * GeomXform:Resize
 */
# pragma mark -
# pragma mark [ GeomXform:Resize ]
# pragma mark -

struct _Vipm_tga_reszparm {
	vipm_int                tga_interp;             /* interpolation method */
	vipm_scalar_t           tga_scx,
	                        tga_scy;
	vipm_range_t           *tga_vrangev_dst;
	vipm_range_t           *tga_vrangev_src;
};
typedef struct _Vipm_tga_reszparm       vipm_tga_reszparm_t;
# define vipm_tga_reszparm_p(x)         vipm_tga_reszparm_cp(x)
# define vipm_tga_reszparm_cp(x)       ((struct _Vipm_tga_reszparm const *)(x))
# define vipm_tga_reszparm_mp(x)       ((struct _Vipm_tga_reszparm *)(x))

/* @} */

/*
 * GeomXform Types
 * @}
 */

#endif /* !defined(__VIPM__TYPES__GEOMXFORM_H__) */


/******************************************************************************
 *
 *
 *
 *****************************************************************************/
