/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2016 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * _Warp.h	(V.Sokur)
 * Vipm/_Types/_Warp.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VIPM__TYPES__WARP_H__
# define __VIPM__TYPES__WARP_H__

/******************************************************************************
 * %% BeginSection: includes
 */

/*
# ifndef __VIPM_CDEFS_H__
#  include <Vipm/Cdefs.h>
# endif
# ifndef __VIPM__TYPES_CORE__TYPES_H__
#  include "Vipm/_Types/Core_Types.h"
# endif
 */


/******************************************************************************
 * %% BeginSection: constant declarations / definitions
 */

/*
 * @{
 * Warp Types
 */

/* ----------------------------------------------------------------------------
 * @{
 * Warp:Resize
 */
# pragma mark -
# pragma mark [ Warp:Resize ]
# pragma mark -

struct _Vipm_tga_reszparm {
	vipm_int                tga_interp;             /* interpolation method */
	vipm_int const         *tga_svolume;
	vipm_scalar_t const    *tga_reszf;
};
typedef struct _Vipm_tga_reszparm       vipm_tga_reszparm_t;
# define vipm_tga_reszparm_p(x)         vipm_tga_reszparm_cp(x)
# define vipm_tga_reszparm_cp(x)       ((struct _Vipm_tga_reszparm const *)(x))
# define vipm_tga_reszparm_mp(x)       ((struct _Vipm_tga_reszparm *)(x))

/* @} */

/*
 * Warp Types
 * @}
 */

#endif /* !defined(__VIPM__TYPES__WARP_H__) */


/******************************************************************************
 *
 *
 *
 *****************************************************************************/
