/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2019 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Sdefs.h	(D.Vinnyk)
 * Vipm/machine/arm/Sdefs.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VIPM_ARM_SDEFS__
# define __VIPM_ARM_SDEFS__


/******************************************************************************
 * %% BeginSection: function definitions
 */

/*
 * @{
 */

# define _ARM_IMOD2(Imm)            VIPM_GLUE(_ARM_IMOD2_,Imm)()

/* @{ */
# define _ARM_IMOD2_0()             0
# define _ARM_IMOD2_1()             1
# define _ARM_IMOD2_2()             0
# define _ARM_IMOD2_3()             1
# define _ARM_IMOD2_4()             0
# define _ARM_IMOD2_5()             1
# define _ARM_IMOD2_6()             0
# define _ARM_IMOD2_7()             1
# define _ARM_IMOD2_8()             0
# define _ARM_IMOD2_9()             1
# define _ARM_IMOD2_10()            0
# define _ARM_IMOD2_11()            1
# define _ARM_IMOD2_12()            0
# define _ARM_IMOD2_13()            1
# define _ARM_IMOD2_14()            0
# define _ARM_IMOD2_15()            1
# define _ARM_IMOD2_16()            0
# define _ARM_IMOD2_17()            1
# define _ARM_IMOD2_18()            0
# define _ARM_IMOD2_19()            1
# define _ARM_IMOD2_20()            0
# define _ARM_IMOD2_21()            1
# define _ARM_IMOD2_22()            0
# define _ARM_IMOD2_23()            1
# define _ARM_IMOD2_24()            0
# define _ARM_IMOD2_25()            1
# define _ARM_IMOD2_26()            0
# define _ARM_IMOD2_27()            1
# define _ARM_IMOD2_28()            0
# define _ARM_IMOD2_29()            1
# define _ARM_IMOD2_30()            0
# define _ARM_IMOD2_31()            1
# define _ARM_IMOD2_32()            0
# define _ARM_IMOD2_33()            1
# define _ARM_IMOD2_34()            0
# define _ARM_IMOD2_35()            1
# define _ARM_IMOD2_36()            0
# define _ARM_IMOD2_37()            1
# define _ARM_IMOD2_38()            0
# define _ARM_IMOD2_39()            1
# define _ARM_IMOD2_40()            0
# define _ARM_IMOD2_41()            1
# define _ARM_IMOD2_42()            0
# define _ARM_IMOD2_43()            1
# define _ARM_IMOD2_44()            0
# define _ARM_IMOD2_45()            1
# define _ARM_IMOD2_46()            0
# define _ARM_IMOD2_47()            1
# define _ARM_IMOD2_48()            0
# define _ARM_IMOD2_49()            1
# define _ARM_IMOD2_50()            0
# define _ARM_IMOD2_51()            1
# define _ARM_IMOD2_52()            0
# define _ARM_IMOD2_53()            1
# define _ARM_IMOD2_54()            0
# define _ARM_IMOD2_55()            1
# define _ARM_IMOD2_56()            0
# define _ARM_IMOD2_57()            1
# define _ARM_IMOD2_58()            0
# define _ARM_IMOD2_59()            1
# define _ARM_IMOD2_60()            0
# define _ARM_IMOD2_61()            1
# define _ARM_IMOD2_62()            0
# define _ARM_IMOD2_63()            1
/* @} */

/* ------------------------------------------------------------------------- */

# define _ARM_IMOD4(Imm)            VIPM_GLUE(_ARM_IMOD4_,Imm)()

/* @{ */
# define _ARM_IMOD4_0()             0
# define _ARM_IMOD4_1()             1
# define _ARM_IMOD4_2()             2
# define _ARM_IMOD4_3()             3
# define _ARM_IMOD4_4()             0
# define _ARM_IMOD4_5()             1
# define _ARM_IMOD4_6()             2
# define _ARM_IMOD4_7()             3
# define _ARM_IMOD4_8()             0
# define _ARM_IMOD4_9()             1
# define _ARM_IMOD4_10()            2
# define _ARM_IMOD4_11()            3
# define _ARM_IMOD4_12()            0
# define _ARM_IMOD4_13()            1
# define _ARM_IMOD4_14()            2
# define _ARM_IMOD4_15()            3
# define _ARM_IMOD4_16()            0
# define _ARM_IMOD4_17()            1
# define _ARM_IMOD4_18()            2
# define _ARM_IMOD4_19()            3
# define _ARM_IMOD4_20()            0
# define _ARM_IMOD4_21()            1
# define _ARM_IMOD4_22()            2
# define _ARM_IMOD4_23()            3
# define _ARM_IMOD4_24()            0
# define _ARM_IMOD4_25()            1
# define _ARM_IMOD4_26()            2
# define _ARM_IMOD4_27()            3
# define _ARM_IMOD4_28()            0
# define _ARM_IMOD4_29()            1
# define _ARM_IMOD4_30()            2
# define _ARM_IMOD4_31()            3
# define _ARM_IMOD4_32()            0
# define _ARM_IMOD4_33()            1
# define _ARM_IMOD4_34()            2
# define _ARM_IMOD4_35()            3
# define _ARM_IMOD4_36()            0
# define _ARM_IMOD4_37()            1
# define _ARM_IMOD4_38()            2
# define _ARM_IMOD4_39()            3
# define _ARM_IMOD4_40()            0
# define _ARM_IMOD4_41()            1
# define _ARM_IMOD4_42()            2
# define _ARM_IMOD4_43()            3
# define _ARM_IMOD4_44()            0
# define _ARM_IMOD4_45()            1
# define _ARM_IMOD4_46()            2
# define _ARM_IMOD4_47()            3
# define _ARM_IMOD4_48()            0
# define _ARM_IMOD4_49()            1
# define _ARM_IMOD4_50()            2
# define _ARM_IMOD4_51()            3
# define _ARM_IMOD4_52()            0
# define _ARM_IMOD4_53()            1
# define _ARM_IMOD4_54()            2
# define _ARM_IMOD4_55()            3
# define _ARM_IMOD4_56()            0
# define _ARM_IMOD4_57()            1
# define _ARM_IMOD4_58()            2
# define _ARM_IMOD4_59()            3
# define _ARM_IMOD4_60()            0
# define _ARM_IMOD4_61()            1
# define _ARM_IMOD4_62()            2
# define _ARM_IMOD4_63()            3
# define _ARM_IMOD4_64()            0
# define _ARM_IMOD4_65()            1
# define _ARM_IMOD4_66()            2
# define _ARM_IMOD4_67()            3
# define _ARM_IMOD4_68()            0
# define _ARM_IMOD4_69()            1
# define _ARM_IMOD4_70()            2
# define _ARM_IMOD4_71()            3
# define _ARM_IMOD4_72()            0
# define _ARM_IMOD4_73()            1
# define _ARM_IMOD4_74()            2
# define _ARM_IMOD4_75()            3
/* @} */

/* ------------------------------------------------------------------------- */

# define _ARM_WIDTHOF(W)            VIPM_GLUE(_ARM_WIDTHOF_,W)()

/* @{ */
# define _ARM_WIDTHOF_8()           8
# define _ARM_WIDTHOF_16()          16
# define _ARM_WIDTHOF_32()          32
# define _ARM_WIDTHOF_64()          64
# define _ARM_WIDTHOF_S8()          8
# define _ARM_WIDTHOF_S16()         16
# define _ARM_WIDTHOF_S32()         32
# define _ARM_WIDTHOF_S64()         64
# define _ARM_WIDTHOF_U8()          8
# define _ARM_WIDTHOF_U16()         16
# define _ARM_WIDTHOF_U32()         32
# define _ARM_WIDTHOF_U64()         64
# define _ARM_WIDTHOF_F32()         32
# define _ARM_WIDTHOF_F64()         64
/* @} */

/* ------------------------------------------------------------------------- */

# define _ARM_DATAMOD(W)            VIPM_GLUE(_ARM_DATAMOD_,W)()

/* @{ */
# define _ARM_DATAMOD_8()           I
# define _ARM_DATAMOD_16()          I
# define _ARM_DATAMOD_32()          I
# define _ARM_DATAMOD_64()          I
# define _ARM_DATAMOD_S8()          I
# define _ARM_DATAMOD_S16()         I
# define _ARM_DATAMOD_S32()         I
# define _ARM_DATAMOD_S64()         I
# define _ARM_DATAMOD_U8()          I
# define _ARM_DATAMOD_U16()         I
# define _ARM_DATAMOD_U32()         I
# define _ARM_DATAMOD_U64()         I
# define _ARM_DATAMOD_F32()         F
# define _ARM_DATAMOD_F64()         F
/* @} */

/* ------------------------------------------------------------------------- */

# define _ARM_DATAXMOD(W)           VIPM_GLUE(_ARM_DATAXMOD_,W)()

/* @{ */
# define _ARM_DATAXMOD_8()          U
# define _ARM_DATAXMOD_16()         S
# define _ARM_DATAXMOD_32()         S
# define _ARM_DATAXMOD_64()         S
# define _ARM_DATAXMOD_S8()         S
# define _ARM_DATAXMOD_S16()        S
# define _ARM_DATAXMOD_S32()        S
# define _ARM_DATAXMOD_S64()        S
# define _ARM_DATAXMOD_U8()         U
# define _ARM_DATAXMOD_U16()        U
# define _ARM_DATAXMOD_U32()        U
# define _ARM_DATAXMOD_U64()        U
# define _ARM_DATAXMOD_F32()        F
# define _ARM_DATAXMOD_F64()        F
/* @} */

/* ------------------------------------------------------------------------- */

/*
 * @{
 *
 * _ARM_W2SZ(W)  - convert width to size (in bytes)
 * _ARM_WDIV2(W) - convert W to (W/2)
 * _ARM_WMUL2(W) - convert W to (2 * W)
 * _ARM_WMUL4(W) - convert W to (4 * W)
 *
 */

# define _ARM_W2SZ(W)               VIPM_GLUE(_ARM_W2SZ_,W)()
/* @{ */
# define _ARM_W2SZ_1()              0
# define _ARM_W2SZ_2()              0
# define _ARM_W2SZ_4()              0
# define _ARM_W2SZ_8()              1
# define _ARM_W2SZ_16()             2
# define _ARM_W2SZ_32()             4
# define _ARM_W2SZ_64()             8
# define _ARM_W2SZ_128()            16

# define _ARM_W2SZ_I8()             1
# define _ARM_W2SZ_I16()            2
# define _ARM_W2SZ_I32()            4
# define _ARM_W2SZ_I64()            8
# define _ARM_W2SZ_I128()           16
# define _ARM_W2SZ_S8()             1
# define _ARM_W2SZ_S16()            2
# define _ARM_W2SZ_S32()            4
# define _ARM_W2SZ_S64()            8
# define _ARM_W2SZ_S128()           16
# define _ARM_W2SZ_U8()             1
# define _ARM_W2SZ_U16()            2
# define _ARM_W2SZ_U32()            4
# define _ARM_W2SZ_U64()            8
# define _ARM_W2SZ_U128()           16
# define _ARM_W2SZ_F16()            2
# define _ARM_W2SZ_F32()            4
# define _ARM_W2SZ_F64()            8
# define _ARM_W2SZ_F128()           16
/* @} */


# define _ARM_WDIV2(W)              VIPM_GLUE(_ARM_WDIV2_,W)()
/* @{ */
# define _ARM_WDIV2_0()             0
# define _ARM_WDIV2_1()             0
# define _ARM_WDIV2_2()             1
# define _ARM_WDIV2_4()             2
# define _ARM_WDIV2_8()             4
# define _ARM_WDIV2_16()            8
# define _ARM_WDIV2_32()            16
# define _ARM_WDIV2_64()            32
# define _ARM_WDIV2_128()           64
# define _ARM_WDIV2_256()           128

//# define _ARM_WDIV2_I8()
# define _ARM_WDIV2_I16()           I8
# define _ARM_WDIV2_I32()           I16
# define _ARM_WDIV2_I64()           I32
# define _ARM_WDIV2_I128()          I64
//# define _ARM_WDIV2_S8()
# define _ARM_WDIV2_S16()           S8
# define _ARM_WDIV2_S32()           S16
# define _ARM_WDIV2_S64()           S32
# define _ARM_WDIV2_S128()          S64
//# define _ARM_WDIV2_U8()
# define _ARM_WDIV2_U16()           U8
# define _ARM_WDIV2_U32()           U16
# define _ARM_WDIV2_U64()           U32
# define _ARM_WDIV2_U128()          U64
//# define _ARM_WDIV2_F16()
# define _ARM_WDIV2_F32()           F16
# define _ARM_WDIV2_F64()           F32
# define _ARM_WDIV2_F128()          F64
/* @} */


# define _ARM_WMUL2(W)              VIPM_GLUE(_ARM_WMUL2_,W)()
/* @{ */
# define _ARM_WMUL2_0()             0
# define _ARM_WMUL2_1()             2
# define _ARM_WMUL2_2()             4
# define _ARM_WMUL2_4()             8
# define _ARM_WMUL2_8()             16
# define _ARM_WMUL2_16()            32
# define _ARM_WMUL2_32()            64
# define _ARM_WMUL2_64()            128
# define _ARM_WMUL2_128()           256
# define _ARM_WMUL2_256()           512

# define _ARM_WMUL2_I8()            I16
# define _ARM_WMUL2_I16()           I32
# define _ARM_WMUL2_I32()           I64
# define _ARM_WMUL2_I64()           I128
# define _ARM_WMUL2_I128()          I256
# define _ARM_WMUL2_S8()            S16
# define _ARM_WMUL2_S16()           S32
# define _ARM_WMUL2_S32()           S64
# define _ARM_WMUL2_S64()           S128
# define _ARM_WMUL2_S128()          S256
# define _ARM_WMUL2_U8()            U16
# define _ARM_WMUL2_U16()           U32
# define _ARM_WMUL2_U32()           U64
# define _ARM_WMUL2_U64()           U128
# define _ARM_WMUL2_U128()          U256
//# define _ARM_WMUL2_F8()            F16
# define _ARM_WMUL2_F16()           F32
# define _ARM_WMUL2_F32()           F64
# define _ARM_WMUL2_F64()           F128
# define _ARM_WMUL2_F128()          F256
/* @} */


# define _ARM_WMUL4(W)              VIPM_GLUE(_ARM_WMUL4_,W)()
/* @{ */
# define _ARM_WMUL4_0()             0
# define _ARM_WMUL4_1()             4
# define _ARM_WMUL4_2()             8
# define _ARM_WMUL4_4()             16
# define _ARM_WMUL4_8()             32
# define _ARM_WMUL4_16()            64
# define _ARM_WMUL4_32()            128
# define _ARM_WMUL4_64()            256
# define _ARM_WMUL4_128()           512
# define _ARM_WMUL4_256()           1024

# define _ARM_WMUL4_I8()            I32
# define _ARM_WMUL4_I16()           I64
# define _ARM_WMUL4_I32()           I128
# define _ARM_WMUL4_I64()           I256
# define _ARM_WMUL4_I128()          I512
# define _ARM_WMUL4_S8()            S32
# define _ARM_WMUL4_S16()           S64
# define _ARM_WMUL4_S32()           S128
# define _ARM_WMUL4_S64()           S256
# define _ARM_WMUL4_S128()          S512
# define _ARM_WMUL4_U8()            U32
# define _ARM_WMUL4_U16()           U64
# define _ARM_WMUL4_U32()           U128
# define _ARM_WMUL4_U64()           U256
# define _ARM_WMUL4_U128()          U512
//# define _ARM_WMUL4_F8()            F32
# define _ARM_WMUL4_F16()           F64
# define _ARM_WMUL4_F32()           F128
# define _ARM_WMUL4_F64()           F256
# define _ARM_WMUL4_F128()          F512
/* @} */

/* @} */

/* ------------------------------------------------------------------------- */

/* @{ */
# define _ARM_COND_MAP(_Cond)       VIPM_GLUE(_ARM_COND_MAP_, _Cond)()
# define _ARM_COND_MAP_()
# define _ARM_COND_MAP_LT()         lt
# define _ARM_COND_MAP_LE()         le
# define _ARM_COND_MAP_EQ()         eq
# define _ARM_COND_MAP_GE()         ge
# define _ARM_COND_MAP_GT()         gt
# define _ARM_COND_MAP_NE()         ne
# define _ARM_COND_MAP_CS()         cs
# define _ARM_COND_MAP_HS()         hs
# define _ARM_COND_MAP_CC()         cc
# define _ARM_COND_MAP_LO()         lo
# define _ARM_COND_MAP_MI()         mi
# define _ARM_COND_MAP_PL()         pl
# define _ARM_COND_MAP_VS()         vs
# define _ARM_COND_MAP_VC()         vc
# define _ARM_COND_MAP_HI()         hi
# define _ARM_COND_MAP_LS()         ls
# define _ARM_COND_MAP_lt()         lt
# define _ARM_COND_MAP_le()         le
# define _ARM_COND_MAP_eq()         eq
# define _ARM_COND_MAP_ge()         ge
# define _ARM_COND_MAP_gt()         gt
# define _ARM_COND_MAP_ne()         ne
# define _ARM_COND_MAP_cs()         cs
# define _ARM_COND_MAP_hs()         hs
# define _ARM_COND_MAP_cc()         cc
# define _ARM_COND_MAP_lo()         lo
# define _ARM_COND_MAP_mi()         mi
# define _ARM_COND_MAP_pl()         pl
# define _ARM_COND_MAP_vs()         vs
# define _ARM_COND_MAP_vc()         vc
# define _ARM_COND_MAP_hi()         hi
# define _ARM_COND_MAP_ls()         ls

# define _ARM_CCOND_MAP(_Cond)      VIPM_GLUE(_ARM_CCOND_MAP_, _Cond)()
# define _ARM_CCOND_MAP_()
# define _ARM_CCOND_MAP_LT()        ge
# define _ARM_CCOND_MAP_LE()        gt
# define _ARM_CCOND_MAP_EQ()        ne
# define _ARM_CCOND_MAP_GE()        lt
# define _ARM_CCOND_MAP_GT()        le
# define _ARM_CCOND_MAP_NE()        eq
# define _ARM_CCOND_MAP_CS()        cc
# define _ARM_CCOND_MAP_HS()        lo
# define _ARM_CCOND_MAP_CC()        cs
# define _ARM_CCOND_MAP_LO()        hs
# define _ARM_CCOND_MAP_MI()        pl
# define _ARM_CCOND_MAP_PL()        mi
# define _ARM_CCOND_MAP_VS()        vc
# define _ARM_CCOND_MAP_VC()        vs
# define _ARM_CCOND_MAP_HI()        ls
# define _ARM_CCOND_MAP_LS()        hi
# define _ARM_CCOND_MAP_lt()        ge
# define _ARM_CCOND_MAP_le()        gt
# define _ARM_CCOND_MAP_eq()        ne
# define _ARM_CCOND_MAP_ge()        lt
# define _ARM_CCOND_MAP_gt()        le
# define _ARM_CCOND_MAP_ne()        eq
# define _ARM_CCOND_MAP_cs()        cc
# define _ARM_CCOND_MAP_hs()        lo
# define _ARM_CCOND_MAP_cc()        cs
# define _ARM_CCOND_MAP_lo()        hs
# define _ARM_CCOND_MAP_mi()        pl
# define _ARM_CCOND_MAP_pl()        mi
# define _ARM_CCOND_MAP_vs()        vc
# define _ARM_CCOND_MAP_vc()        vs
# define _ARM_CCOND_MAP_hi()        ls
# define _ARM_CCOND_MAP_ls()        hi
/* @} */

/* ------------------------------------------------------------------------- */

/* @{ */
# define _ARM_PRFM_OFFSET(Offset)   VIPM_GLUE(_ARM_PRFM_OFFSET_,Offset)
# if (__VIPM_ARM_CACHE_LINE_SIZE == 128)

#  define _ARM_PRFM_OFFSET_0        0
#  define _ARM_PRFM_OFFSET_1        128
#  define _ARM_PRFM_OFFSET_2        256
#  define _ARM_PRFM_OFFSET_3        384
#  define _ARM_PRFM_OFFSET_4        512
#  define _ARM_PRFM_OFFSET_5        640
#  define _ARM_PRFM_OFFSET_6        768
#  define _ARM_PRFM_OFFSET_7        896
#  define _ARM_PRFM_OFFSET_8        1024
#  define _ARM_PRFM_OFFSET_9        1152
#  define _ARM_PRFM_OFFSET_10       1280
#  define _ARM_PRFM_OFFSET_11       1408
#  define _ARM_PRFM_OFFSET_12       1536
#  define _ARM_PRFM_OFFSET_13       1664
#  define _ARM_PRFM_OFFSET_14       1792
#  define _ARM_PRFM_OFFSET_15       1920
#  define _ARM_PRFM_OFFSET_16       2048
#  define _ARM_PRFM_OFFSET_17       2176
#  define _ARM_PRFM_OFFSET_18       2304
#  define _ARM_PRFM_OFFSET_19       2432
#  define _ARM_PRFM_OFFSET_20       2560

# else
# if (__VIPM_ARM_CACHE_LINE_SIZE == 64)

#  define _ARM_PRFM_OFFSET_0        0
#  define _ARM_PRFM_OFFSET_1        64
#  define _ARM_PRFM_OFFSET_2        128
#  define _ARM_PRFM_OFFSET_3        192
#  define _ARM_PRFM_OFFSET_4        256
#  define _ARM_PRFM_OFFSET_5        320
#  define _ARM_PRFM_OFFSET_6        384
#  define _ARM_PRFM_OFFSET_7        448
#  define _ARM_PRFM_OFFSET_8        512
#  define _ARM_PRFM_OFFSET_9        576
#  define _ARM_PRFM_OFFSET_10       640
#  define _ARM_PRFM_OFFSET_11       704
#  define _ARM_PRFM_OFFSET_12       768
#  define _ARM_PRFM_OFFSET_13       832
#  define _ARM_PRFM_OFFSET_14       896
#  define _ARM_PRFM_OFFSET_15       960
#  define _ARM_PRFM_OFFSET_16       1024
#  define _ARM_PRFM_OFFSET_17       1088
#  define _ARM_PRFM_OFFSET_18       1152
#  define _ARM_PRFM_OFFSET_19       1216
#  define _ARM_PRFM_OFFSET_20       1280

# else
# if (__VIPM_ARM_CACHE_LINE_SIZE == 32)

#  define _ARM_PRFM_OFFSET_0        0
#  define _ARM_PRFM_OFFSET_1        32
#  define _ARM_PRFM_OFFSET_2        64
#  define _ARM_PRFM_OFFSET_3        96
#  define _ARM_PRFM_OFFSET_4        128
#  define _ARM_PRFM_OFFSET_5        160
#  define _ARM_PRFM_OFFSET_6        192
#  define _ARM_PRFM_OFFSET_7        224
#  define _ARM_PRFM_OFFSET_8        256
#  define _ARM_PRFM_OFFSET_9        576
#  define _ARM_PRFM_OFFSET_10       608
#  define _ARM_PRFM_OFFSET_11       640
#  define _ARM_PRFM_OFFSET_12       672
#  define _ARM_PRFM_OFFSET_13       704
#  define _ARM_PRFM_OFFSET_14       736
#  define _ARM_PRFM_OFFSET_15       768
#  define _ARM_PRFM_OFFSET_16       800
#  define _ARM_PRFM_OFFSET_17       832
#  define _ARM_PRFM_OFFSET_18       864
#  define _ARM_PRFM_OFFSET_19       896
#  define _ARM_PRFM_OFFSET_20       928

# else

#  define _ARM_PRFM_OFFSET_0        0
#  define _ARM_PRFM_OFFSET_1        64
#  define _ARM_PRFM_OFFSET_2        128
#  define _ARM_PRFM_OFFSET_3        192
#  define _ARM_PRFM_OFFSET_4        256
#  define _ARM_PRFM_OFFSET_5        320
#  define _ARM_PRFM_OFFSET_6        384
#  define _ARM_PRFM_OFFSET_7        448
#  define _ARM_PRFM_OFFSET_8        512
#  define _ARM_PRFM_OFFSET_9        576
#  define _ARM_PRFM_OFFSET_10       640
#  define _ARM_PRFM_OFFSET_11       704
#  define _ARM_PRFM_OFFSET_12       768
#  define _ARM_PRFM_OFFSET_13       832
#  define _ARM_PRFM_OFFSET_14       896
#  define _ARM_PRFM_OFFSET_15       960
#  define _ARM_PRFM_OFFSET_16       1024
#  define _ARM_PRFM_OFFSET_17       1088
#  define _ARM_PRFM_OFFSET_18       1152
#  define _ARM_PRFM_OFFSET_19       1216
#  define _ARM_PRFM_OFFSET_20       1280

# endif /* (__VIPM_ARM_CACHE_LINE_SIZE == 32) */
# endif /* (__VIPM_ARM_CACHE_LINE_SIZE == 64) */
# endif /* (__VIPM_ARM_CACHE_LINE_SIZE == 128) */
/* @} */

/* ------------------------------------------------------------------------- */

/* @{ */
# define _ARM_PRFM_IADD32(Imm)      VIPM_GLUE(_ARM_PRFM_IADD32_,Imm)
# define _ARM_PRFM_IADD64(Imm)      _ARM_PRFM_IADD32(_ARM_PRFM_IADD32(Imm))
# define _ARM_PRFM_IADD96(Imm)      _ARM_PRFM_IADD64(_ARM_PRFM_IADD32(Imm)))
# define _ARM_PRFM_IADD32_0         32
# define _ARM_PRFM_IADD32_32        64
# define _ARM_PRFM_IADD32_64        96
# define _ARM_PRFM_IADD32_96        128
# define _ARM_PRFM_IADD32_128       160
# define _ARM_PRFM_IADD32_160       192
# define _ARM_PRFM_IADD32_192       224
# define _ARM_PRFM_IADD32_224       256
# define _ARM_PRFM_IADD32_256       288
# define _ARM_PRFM_IADD32_288       320
# define _ARM_PRFM_IADD32_320       352
# define _ARM_PRFM_IADD32_352       384
# define _ARM_PRFM_IADD32_384       416
# define _ARM_PRFM_IADD32_416       448
# define _ARM_PRFM_IADD32_448       480
# define _ARM_PRFM_IADD32_480       512
# define _ARM_PRFM_IADD32_512       544
# define _ARM_PRFM_IADD32_544       576
# define _ARM_PRFM_IADD32_576       608
# define _ARM_PRFM_IADD32_608       640
# define _ARM_PRFM_IADD32_640       672
# define _ARM_PRFM_IADD32_672       704
# define _ARM_PRFM_IADD32_704       736
# define _ARM_PRFM_IADD32_736       768
# define _ARM_PRFM_IADD32_768       800
# define _ARM_PRFM_IADD32_800       832
# define _ARM_PRFM_IADD32_832       864
# define _ARM_PRFM_IADD32_864       896
# define _ARM_PRFM_IADD32_896       928
# define _ARM_PRFM_IADD32_928       960
# define _ARM_PRFM_IADD32_960       992
# define _ARM_PRFM_IADD32_992       1024
# define _ARM_PRFM_IADD32_1024      1056
# define _ARM_PRFM_IADD32_1056      1088
# define _ARM_PRFM_IADD32_1088      1120
# define _ARM_PRFM_IADD32_1120      1152
# define _ARM_PRFM_IADD32_1152      1184
# define _ARM_PRFM_IADD32_1184      1216
# define _ARM_PRFM_IADD32_1216      1248
# define _ARM_PRFM_IADD32_1248      1280
# define _ARM_PRFM_IADD32_1280      1312
# define _ARM_PRFM_IADD32_1312      1344
# define _ARM_PRFM_IADD32_1344      1376
# define _ARM_PRFM_IADD32_1376      1408
# define _ARM_PRFM_IADD32_1408      1440
# define _ARM_PRFM_IADD32_1440      1472
# define _ARM_PRFM_IADD32_1472      1504
# define _ARM_PRFM_IADD32_1504      1536
# define _ARM_PRFM_IADD32_1536      1568
# define _ARM_PRFM_IADD32_1568      1600
# define _ARM_PRFM_IADD32_1600      1632
# define _ARM_PRFM_IADD32_1632      1664
# define _ARM_PRFM_IADD32_1664      1696
# define _ARM_PRFM_IADD32_1696      1728
# define _ARM_PRFM_IADD32_1728      1760
# define _ARM_PRFM_IADD32_1760      1792
# define _ARM_PRFM_IADD32_1792      1824
# define _ARM_PRFM_IADD32_1824      1856
# define _ARM_PRFM_IADD32_1856      1888
# define _ARM_PRFM_IADD32_1888      1920
# define _ARM_PRFM_IADD32_1920      1952
# define _ARM_PRFM_IADD32_1952      1984
# define _ARM_PRFM_IADD32_1984      2016
# define _ARM_PRFM_IADD32_2016      2048
# define _ARM_PRFM_IADD32_2048      2080
# define _ARM_PRFM_IADD32_2080      2112
# define _ARM_PRFM_IADD32_2112      2144
# define _ARM_PRFM_IADD32_2144      2176
# define _ARM_PRFM_IADD32_2176      2208
# define _ARM_PRFM_IADD32_2208      2240
# define _ARM_PRFM_IADD32_2240      2272
# define _ARM_PRFM_IADD32_2272      2304
# define _ARM_PRFM_IADD32_2304      2336
# define _ARM_PRFM_IADD32_2336      2368
# define _ARM_PRFM_IADD32_2368      2400
# define _ARM_PRFM_IADD32_2400      2432
# define _ARM_PRFM_IADD32_2432      2464
# define _ARM_PRFM_IADD32_2464      2496
# define _ARM_PRFM_IADD32_2496      2528
# define _ARM_PRFM_IADD32_2528      2560
# define _ARM_PRFM_IADD32_2560      2592
# define _ARM_PRFM_IADD32_2592      2624
# define _ARM_PRFM_IADD32_2624      2656
/* @} */

/* @} */


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

/*
 * NEON
 * @{
 */

# define _ARM_VENDX_D(W)            VIPM_GLUE(_ARM_VENDX_D_MAP_, W)()
# define _ARM_VENDX_Q(W)            VIPM_GLUE(_ARM_VENDX_Q_MAP_, W)()

/* @{ */
# define _ARM_VENDX_D_MAP_8()       7
# define _ARM_VENDX_D_MAP_16()      3
# define _ARM_VENDX_D_MAP_32()      1
# define _ARM_VENDX_D_MAP_S8()      7
# define _ARM_VENDX_D_MAP_S16()     3
# define _ARM_VENDX_D_MAP_S32()     1
# define _ARM_VENDX_D_MAP_U8()      7
# define _ARM_VENDX_D_MAP_U16()     3
# define _ARM_VENDX_D_MAP_U32()     1

# define _ARM_VENDX_Q_MAP_8()       15
# define _ARM_VENDX_Q_MAP_16()      7
# define _ARM_VENDX_Q_MAP_32()      3
# define _ARM_VENDX_Q_MAP_64()      1
# define _ARM_VENDX_Q_MAP_S8()      15
# define _ARM_VENDX_Q_MAP_S16()     7
# define _ARM_VENDX_Q_MAP_S32()     3
# define _ARM_VENDX_Q_MAP_S64()     1
# define _ARM_VENDX_Q_MAP_U8()      15
# define _ARM_VENDX_Q_MAP_U16()     7
# define _ARM_VENDX_Q_MAP_U32()     3
# define _ARM_VENDX_Q_MAP_U64()     1
/* @} */

/* ------------------------------------------------------------------------- */

# define _ARM_VESHRNUM_D_MAP(W,N)   VIPM_GLUE3(_ARM_VESHRNUM_D_MAP_, W,N)()
# define _ARM_VESHRNUM_Q_MAP(W,N)   VIPM_GLUE3(_ARM_VESHRNUM_Q_MAP_, W,N)()

/* @{ */
# define _ARM_VESHRNUM_D_MAP_80()   8
# define _ARM_VESHRNUM_D_MAP_81()   7
# define _ARM_VESHRNUM_D_MAP_82()   6
# define _ARM_VESHRNUM_D_MAP_83()   5
# define _ARM_VESHRNUM_D_MAP_84()   4
# define _ARM_VESHRNUM_D_MAP_85()   3
# define _ARM_VESHRNUM_D_MAP_86()   2
# define _ARM_VESHRNUM_D_MAP_87()   1
# define _ARM_VESHRNUM_D_MAP_88()   0

# define _ARM_VESHRNUM_Q_MAP_80()   16
# define _ARM_VESHRNUM_Q_MAP_81()   15
# define _ARM_VESHRNUM_Q_MAP_82()   14
# define _ARM_VESHRNUM_Q_MAP_83()   13
# define _ARM_VESHRNUM_Q_MAP_84()   12
# define _ARM_VESHRNUM_Q_MAP_85()   11
# define _ARM_VESHRNUM_Q_MAP_86()   10
# define _ARM_VESHRNUM_Q_MAP_87()   9
# define _ARM_VESHRNUM_Q_MAP_88()   8
# define _ARM_VESHRNUM_Q_MAP_89()   7
# define _ARM_VESHRNUM_Q_MAP_810()  6
# define _ARM_VESHRNUM_Q_MAP_811()  5
# define _ARM_VESHRNUM_Q_MAP_812()  4
# define _ARM_VESHRNUM_Q_MAP_813()  3
# define _ARM_VESHRNUM_Q_MAP_814()  2
# define _ARM_VESHRNUM_Q_MAP_815()  1
# define _ARM_VESHRNUM_Q_MAP_816()  0

# define _ARM_VESHRNUM_D_MAP_160()  4
# define _ARM_VESHRNUM_D_MAP_161()  3
# define _ARM_VESHRNUM_D_MAP_162()  2
# define _ARM_VESHRNUM_D_MAP_163()  1
# define _ARM_VESHRNUM_D_MAP_164()  0

# define _ARM_VESHRNUM_Q_MAP_160()  8
# define _ARM_VESHRNUM_Q_MAP_161()  7
# define _ARM_VESHRNUM_Q_MAP_162()  6
# define _ARM_VESHRNUM_Q_MAP_163()  5
# define _ARM_VESHRNUM_Q_MAP_164()  4
# define _ARM_VESHRNUM_Q_MAP_165()  3
# define _ARM_VESHRNUM_Q_MAP_166()  2
# define _ARM_VESHRNUM_Q_MAP_167()  1
# define _ARM_VESHRNUM_Q_MAP_168()  0

# define _ARM_VESHRNUM_D_MAP_320()  2
# define _ARM_VESHRNUM_D_MAP_321()  1
# define _ARM_VESHRNUM_D_MAP_322()  0

# define _ARM_VESHRNUM_Q_MAP_320()  4
# define _ARM_VESHRNUM_Q_MAP_321()  3
# define _ARM_VESHRNUM_Q_MAP_322()  2
# define _ARM_VESHRNUM_Q_MAP_323()  1
# define _ARM_VESHRNUM_Q_MAP_324()  0

# define _ARM_VESHRNUM_Q_MAP_640()  2
# define _ARM_VESHRNUM_Q_MAP_641()  1
# define _ARM_VESHRNUM_Q_MAP_642()  0
/* @} */

/* ------------------------------------------------------------------------- */

# define _ARM_QDMAP0(Q)             VIPM_GLUE(_ARM_QDMAP0_,Q)()
# define _ARM_QDMAP1(Q)             VIPM_GLUE(_ARM_QDMAP1_,Q)()

/* @{ */
# define _ARM_QDMAP0_0()            0
# define _ARM_QDMAP1_0()            1
# define _ARM_QDMAP0_1()            2
# define _ARM_QDMAP1_1()            3
# define _ARM_QDMAP0_2()            4
# define _ARM_QDMAP1_2()            5
# define _ARM_QDMAP0_3()            6
# define _ARM_QDMAP1_3()            7
# define _ARM_QDMAP0_4()            8
# define _ARM_QDMAP1_4()            9
# define _ARM_QDMAP0_5()            10
# define _ARM_QDMAP1_5()            11
# define _ARM_QDMAP0_6()            12
# define _ARM_QDMAP1_6()            13
# define _ARM_QDMAP0_7()            14
# define _ARM_QDMAP1_7()            15
# define _ARM_QDMAP0_8()            16
# define _ARM_QDMAP1_8()            17
# define _ARM_QDMAP0_9()            18
# define _ARM_QDMAP1_9()            19
# define _ARM_QDMAP0_10()           20
# define _ARM_QDMAP1_10()           21
# define _ARM_QDMAP0_11()           22
# define _ARM_QDMAP1_11()           23
# define _ARM_QDMAP0_12()           24
# define _ARM_QDMAP1_12()           25
# define _ARM_QDMAP0_13()           26
# define _ARM_QDMAP1_13()           27
# define _ARM_QDMAP0_14()           28
# define _ARM_QDMAP1_14()           29
# define _ARM_QDMAP0_15()           30
# define _ARM_QDMAP1_15()           31
# define _ARM_QDMAP0_16()           32
# define _ARM_QDMAP1_16()           33
# define _ARM_QDMAP0_17()           34
# define _ARM_QDMAP1_17()           35
# define _ARM_QDMAP0_18()           36
# define _ARM_QDMAP1_18()           37
# define _ARM_QDMAP0_19()           38
# define _ARM_QDMAP1_19()           39
# define _ARM_QDMAP0_20()           40
# define _ARM_QDMAP1_20()           41
# define _ARM_QDMAP0_21()           42
# define _ARM_QDMAP1_21()           43
# define _ARM_QDMAP0_22()           44
# define _ARM_QDMAP1_22()           45
# define _ARM_QDMAP0_23()           46
# define _ARM_QDMAP1_23()           47
# define _ARM_QDMAP0_24()           48
# define _ARM_QDMAP1_24()           49
# define _ARM_QDMAP0_25()           50
# define _ARM_QDMAP1_25()           51
# define _ARM_QDMAP0_26()           52
# define _ARM_QDMAP1_26()           53
# define _ARM_QDMAP0_27()           54
# define _ARM_QDMAP1_27()           55
# define _ARM_QDMAP0_28()           56
# define _ARM_QDMAP1_28()           57
# define _ARM_QDMAP0_29()           58
# define _ARM_QDMAP1_29()           59
# define _ARM_QDMAP0_30()           60
# define _ARM_QDMAP1_30()           61
# define _ARM_QDMAP0_31()           62
# define _ARM_QDMAP1_31()           63
/* @} */

/* @} */


#endif /* !defined(__VIPM_ARM_SDEFS__) */


/******************************************************************************
 *
 *
 *
 *****************************************************************************/
