/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * VodiVersion.h	(N.Panasiuk)
 * include/Vodi/VodiVersion.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODIVERSION__
# define __VODIVERSION__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Bo/sys/Types.h>

/******************************************************************************
 * %% BeginSection: definitions
 */

# define VODI_MAJOR_VERSION 2
# define VODI_MINOR_VERSION 11
# define VODI_TEENY_VERSION 0

# define VODI_VERSION _BO_MKVERSION(\
	VODI_MAJOR_VERSION, VODI_MINOR_VERSION, VODI_TEENY_VERSION)
# define VODI_VERSION_STR _BO_MKSVERSION(\
	VODI_MAJOR_VERSION, VODI_MINOR_VERSION, VODI_TEENY_VERSION)

# define VODI_VERSION_MIN(aMajor,aMinor,aTeeny) \
	(((aMajor) < VODI_MAJOR_VERSION) \
	|| ((aMajor) == VODI_MAJOR_VERSION && (aMinor) < VODI_MINOR_VERSION) \
	|| ((aMajor) == VODI_MAJOR_VERSION && (aMinor) == VODI_MINOR_VERSION \
		&& (aTeeny) <= VODI_TEENY_VERSION))

#endif /* !defined(__VODIVERSION__) */

/******************************************************************************
 *
 *
 *
 *****************************************************************************/
