/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Vpwens.h	(N.Panasiuk)
 * include/Vodi/objects/Vpwens.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_OBJECTS_VPWENS__
# define __VODI_OBJECTS_VPWENS__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Bo/sys/Types.h>

/******************************************************************************
* %% BeginSection: type/constant declarations
*/
# pragma mark -
# pragma mark [ type/constant declarations ]
# pragma mark -

/*
 * Vpwens
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * constructor, descriptor, ucntl, vodiens
 */
/*
# define AorpK_Vpwens_object (1502)
# define AorpK_Vpwens_object_creatable 1
*/
# include <Vodi/services/MIB/Objects.h>

/******************************************************************************
* %% BeginSection: type declarations
*/
# pragma mark -
# pragma mark [ type declarations ]
# pragma mark -

_A_xobject(Vpwens);

# include <Bo/services/alg/_Xucntl.h>
# include <Vodi/services/alg/_Vpwens.h>

/******************************************************************************
* %% BeginSection: function prototypes
*/
# pragma mark -
# pragma mark [ function prototypes ]
# pragma mark -

/*
 * Canonical prototype
 *
aorp_object_t
VpwensOpen_c(
	aorp_opflags_t Flags,       // 0
	bo_pointer_t aMemory,       // NULL
	struct aorp_podinit *aParmv[],
	size_t aParmc,
	struct aorp_error *anErrPtr // NULL
);
 */
# define VpwensOpen_c(Flags, aMemory, aParmv, aParmc, anErrPtr) \
	_A_open1(Vpwens, Flags, aMemory, aParmv, (size_t)(aParmc), anErrPtr)

/* ------------------------------------------------------------------------- */

/*
void
VpwensOpen(
	aorp_object_t &aResultRef,
	aorp_opflags_t Flags,       // 0
	bo_pointer_t aMemory,       // NULL
	struct aorp_error *anErrPtr // NULL
);
 */
# define VpwensOpen(aResultRef, Flags, aMemory, anErrPtr) \
	_A_openbyname_v0(aResultRef, (Vpwens), Flags, aMemory, anErrPtr)

#endif /* !__VODI_OBJECTS_VPWENS__ */

/*
 *
 */
