/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Vpwres.h	(N.Panasiuk)
 * include/Vodi/objects/Vpwres.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_OBJECTS_VPWRES__
# define __VODI_OBJECTS_VPWRES__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Bo/sys/Types.h>

/******************************************************************************
 * %% BeginSection: type/constant declarations
 */
# pragma mark -
# pragma mark [ type/constant declarations ]
# pragma mark -

/*
 * Vpwres
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * constructor, descriptor, ucntl, vodires
 */
/*
# define AorpK_Vpwres_object (1503)
# define AorpK_Vpwres_object_creatable 1
*/
# include <Vodi/services/MIB/Objects.h>

/******************************************************************************
 * %% BeginSection: type declarations
 */
# pragma mark -
# pragma mark [ type declarations ]
# pragma mark -

_A_xobject(Vpwres);

# include <Bo/services/alg/_Xucntl.h>
# include <Vodi/services/alg/_Vpwres.h>

/******************************************************************************
 * %% BeginSection: function prototypes
 */
# pragma mark -
# pragma mark [ function prototypes ]
# pragma mark -

/*
 * Canonical prototype
 *
aorp_object_t
VpwresOpen_c(
	aorp_opflags_t Flags,            // 0
	bo_pointer_t aMemory,            // NULL
	struct aorp_pod_init *aParmv[],
	size_t aParmc,
	struct aorp_error *anErrPtr      // NULL
	);
 */
# define VpwresOpen_c(Flags, aMemory, aParmv, aParmc, anErrPtr) \
	_A_open1(Vpwres, Flags, aMemory, aParmv, (size_t)(aParmc), anErrPtr)

/* ------------------------------------------------------------------------- */

/*
void
VpwresOpen(
	aorp_object_t &aResultRef,
	aorp_opflags_t Flags,       // 0
	bo_pointer_t aMemory,       // NULL
	struct vodi_image *anImage,
	struct aorp_error *anErrPtr // NULL
	);
 *
 * NOTE!
 * The image pointed to by the parameter @image is retained.
 * The image will be released, when the result will be released.
 */
# define VpwresOpen(aResultRef, Flags, aMemory, anImage, anErrPtr) \
	_A_openbyname_v1( \
		aResultRef, (Vpwres), Flags, aMemory, \
		(2,(vodires,Vpwres), anImage), \
		anErrPtr \
	)

#endif /* !__VODI_OBJECTS_VPWRES__ */

/*
 *
 */
