/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * ZLNil.h	(N.Panasiuk)
 * include/Vodi/objects/ZLNil.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_OBJECTS_ZLNIL__
# define __VODI_OBJECTS_ZLNIL__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Bo/sys/Types.h>

/******************************************************************************
* %% BeginSection: type/constant declarations
*/
# pragma mark -
# pragma mark [ type/constant declarations ]
# pragma mark -

/*
 * ZLNil
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * descriptor, ucntl, zlist
 */
/*
# define AorpK_ZLNil_object (1505)
# define AorpK_ZLNil_object_creatable 0
*/
# include <Vodi/services/MIB/Objects.h>

/******************************************************************************
* %% BeginSection: type declarations
*/
# pragma mark -
# pragma mark [ type declarations ]
# pragma mark -

# include <Vodi/services/alg/_ZLNil.h>

/******************************************************************************
* %% BeginSection: function prototypes
*/
# pragma mark -
# pragma mark [ function prototypes ]
# pragma mark -

/*
void
ZLNilOpen(
	aorp_object_t &aResultRef,
	struct aorp_error *anErrPtr // NULL
	);
 */
# define ZLNilOpen(aResultRef, anErrPtr) \
	_A_clsopen1(aResultRef, ZLNil, anErrPtr)

/* ------------------------------------------------------------------------- */

# if __myc_support(macro_retval)
#  define ZLNil() \
	__extension__ ({ \
		aorp_object_t ___retval; \
		ZLNilOpen(___retval, NULL); \
		/* return */ (___retval); \
	})
# else
__myc_extern_inline__ aorp_object_t ZLNil()
{
	aorp_object_t retval;
	ZLNilOpen(retval, NULL);
	return (retval);
}
# endif

#endif /* !__VODI_OBJECTS_ZLNIL__ */

/*
 *
 */
