/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Objects.h	(N.Panasiuk)
 * include/Vodi/services/MIB/Objects.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_SERVICES_MIB_OBJECTS__
# define __VODI_SERVICES_MIB_OBJECTS__

/******************************************************************************
 * %% BeginSection: constant declarations
 */

/*
 * Objects (MIB)
 */
# include <Bo/services/MIB/Objects.h>

/*
 * Range: [1500 - 1600[
 */

/*
 * Vpwprinc
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * constructor, descriptor, ucntl, vodiprinc
 */
# define AorpK_Vpwprinc_object (1501)
# define AorpK_Vpwprinc_object_creatable 1

/*
 * Vpwens
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * constructor, descriptor, ucntl, vodiens
 */
# define AorpK_Vpwens_object (1502)
# define AorpK_Vpwens_object_creatable 1

/*
 * Vpwres
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * constructor, descriptor, ucntl, vodires
 */
# define AorpK_Vpwres_object (1503)
# define AorpK_Vpwres_object_creatable 1

/*
 * Vpwi
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * descriptor, ucntl, lpvi
 */
# define AorpK_Vpwi_object (1504)
# define AorpK_Vpwi_object_creatable 0

/*
 * ZLNil
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * descriptor, ucntl, zlist
 */
# define AorpK_ZLNil_object (1505)
# define AorpK_ZLNil_object_creatable 0

/*
 * ZLCons
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * constructor, descriptor, ucntl, zlist
 */
# define AorpK_ZLCons_object (1506)
# define AorpK_ZLCons_object_creatable 1

/*
 * ZLCb
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * constructor, descriptor, ucntl, zlist
 */
# define AorpK_ZLCb_object (1507)
# define AorpK_ZLCb_object_creatable 1

/*
 * ZLGuard
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * constructor, descriptor, ucntl, zlist
 */
# define AorpK_ZLGuard_object (1508)
# define AorpK_ZLGuard_object_creatable 1

/*
 * Vpwprincopen
 * oid: <<category>>/<<object>>/<<impl>>
 *
 *  descriptor, ucntl, vodiprincopen
 */
# define AorpK_Vpwprincopen_object (1509)
# define AorpK_Vpwprincopen_object_creatable 0

/*
 * Cvpwprinc
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * constructor, descriptor, ucntl, vodiprinc
 */
# define AorpK_Cvpwprinc_object (1510)
# define AorpK_Cvpwprinc_object_creatable 1

/*
 * Rvpwprinc
 * oid: <<category>>/<<object>>/<<impl>>
 *
 * constructor, descriptor, ucntl, vodiprinc
 */
# define AorpK_Rvpwprinc_object (1511)
# define AorpK_Rvpwprinc_object_creatable 1

#endif /* !__VODI_SERVICES_MIB_OBJECTS__ */

/*
 *
 */
