/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * VodiTLP.h	(N.Panasiuk)
 * include/Vodi/services/VodiTLP.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_SERVICES_VODITL_P__
# define __VODI_SERVICES_VODITL_P__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Vodi/Types.h>

/******************************************************************************
 * %% BeginSection: voditl service declarations
 */
# pragma mark -
# pragma mark [ voditl service declarations ]
# pragma mark -

# define __aorpc_need_service_voditl 1

#endif /* !__VODI_SERVICES_VODITL_P__ */

#pragma mark -

#if __aorpc_uses_service(voditl)
# undef __aorpc_need_service_voditl

/*
 * voditl service
 * @{
 */

/*
 * voditl {\object(class)}
 */
/*
# define AorpK_voditl_service (1512)
 */
# include <Vodi/services/MIB/Services.h>

# define __aorpc_service_name voditl
# include <Bo/aorp/AorpCsrvc.h>

_A_service(voditl)
_A_end_ctb

	_A_attribute((nonnull(1,3,4,5,6)))
	_A_op(parse, "voditl.parse", (
			struct aorp_closure *aClosure,
			struct aorp_error *anErrPtr,
			aorp_object_t aMetric,
			aorp_object_t aTimeSeq,
			aorp_object_t aRectList,
			aorp_object_t anImageList
		)),

	_A_attribute((nonnull(1,3,4,5)))
	_A_op(classify, "voditl.classify", (
			struct aorp_closure *aClosure,
			struct aorp_error *anErrPtr,
			aorp_object_t aMetric,
			aorp_object_t aTimeSeq,
			aorp_object_t aTLStateList
		)),

_A_end;

# include <Bo/aorp/AorpCend.h>
/* @} */
#endif /* __aorpc_uses_service(voditl) */

/*
 *
 */
