/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * _Rvpwprinc.h	(N.Panasiuk)
 * include/Vodi/services/alg/_Rvpwprinc.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_SERVICES_ALG__RVPWPRINC__
# define __VODI_SERVICES_ALG__RVPWPRINC__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Vodi/Vpwtypes.h>

# include <Vodi/services/VodiprincP.h>

/******************************************************************************
 * %% BeginSection: type declarations
 */
# pragma mark -
# pragma mark [ type declarations ]
# pragma mark -

# define _RvpwprincK_HOST_DEFAULT "127.0.0.1"
# define _RvpwprincK_PORT_DEFAULT "3000"

/*
 * Rvpwprinc
 *
 * vodiprinc
 * oid: <<category>>/<<service>>/<<domain>>/<<impl>>
 */
/*
# define AorpK_Rvpwprinc_opdom (1522)
# define AorpK_Rvpwprinc_opdom_empty 0
*/
# include <Vodi/services/MIB/Opdom.h>

# define __aorpc_ns_protocol_c 2
# define __aorpc_ns_protocol (vodiprinc,Rvpwprinc)
# include <Bo/aorp/AorpCproi.h>

_A_protocol_init(vodiprinc,Rvpwprinc)
{
	_A_hbdecl_;
	char const  *host, *port;
	unsigned     thrmax;
}
_A_end;

# include <Bo/aorp/AorpCend.h>

#endif /* !__VODI_SERVICES_ALG__RVPWPRINC__ */

/*
 *
 */
