/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * _Vpwprinc.h	(N.Panasiuk)
 * include/Vodi/services/alg/_Vpwprinc.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_SERVICES_ALG__VPWPRINC__
# define __VODI_SERVICES_ALG__VPWPRINC__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Vodi/Vpwtypes.h>

# include <Vodi/services/VodiprincP.h>

/******************************************************************************
 * %% BeginSection: type declarations
 */
# pragma mark -
# pragma mark [ type declarations ]
# pragma mark -

/*
 * Vpwprinc
 *
 * vodiprinc
 * oid: <<category>>/<<service>>/<<domain>>/<<impl>>
 */
/*
# define AorpK_Vpwprinc_opdom (1501)
# define AorpK_Vpwprinc_opdom_empty 0
*/
# include <Vodi/services/MIB/Opdom.h>

# define __aorpc_ns_protocol_c 2
# define __aorpc_ns_protocol (vodiprinc,Vpwprinc)
# include <Bo/aorp/AorpCproi.h>

_A_protocol_init(vodiprinc,Vpwprinc)
{
	_A_hbdecl_;
	struct vodi_vpw_princ_param const *parm;
	unsigned                           thrmax;
	vodi_bool_t                      (*license_pred)(vpw_license_t const *);
	vpw_license_t const             *(*license_op)(
		vpw_license_t const *, vpw_license_t const *);
}
_A_end;

# include <Bo/aorp/AorpCend.h>

#endif /* !__VODI_SERVICES_ALG__VPWPRINC__ */

/*
 *
 */
