/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * _ZLCb.h	(N.Panasiuk)
 * include/Vodi/services/alg/_ZLCb.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_SERVICES_ALG__ZLCB__
# define __VODI_SERVICES_ALG__ZLCB__

/******************************************************************************
 * %% BeginSection: includes
 */

# include <Vodi/services/ZlistP.h>

/******************************************************************************
 * %% BeginSection: type declarations
 */
# pragma mark -
# pragma mark [ type declarations ]
# pragma mark -

/*
 * ZLCb
 *
 * zlist
 * oid: <<category>>/<<service>>/<<domain>>/<<impl>>
 */
/*
# define AorpK_ZLCb_opdom (1514)
# define AorpK_ZLCb_opdom_empty 0
*/
# include <Vodi/services/MIB/Opdom.h>

# define __aorpc_ns_protocol_c 2
# define __aorpc_ns_protocol (zlist,ZLCb)
# include <Bo/aorp/AorpCproi.h>

_A_protocol_init(zlist,ZLCb)
{
	_A_hbdecl_;
	struct zlcb *cb;
}
_A_end;

# include <Bo/aorp/AorpCend.h>

#endif /* !__VODI_SERVICES_ALG__ZLCB__ */

/*
 *
 */
