/* -*- Mode: c; tab-width: 4; -*-
 * -*- ex: ts=4 -*-
 */

/*
 * Copyright 2007 Seenaptec Ltd. All rights reserved.
 * SEENAPTEC PROPRIETARY/CONFIDENTIAL.
 *
 * $Id$
 */

/*
 * Stdlib.h	(N.Panasiuk)
 * include/bwr/Vodi/utils/sex/Stdlib.h
 */

/* ------------------------------------------------------------------------- */

#ifndef __VODI_UTILS_SEX_STDLIB__
# define __VODI_UTILS_SEX_STDLIB__

/******************************************************************************
 * %% BeginSection: includes
 */

# ifndef __VODI_UTILS_SEX_TYPES__
#  include <Vodi/utils/sex/Types.h>
# endif

/******************************************************************************
 * %% BeginSection: function prototypes
 */
# pragma mark -
# pragma mark [ function prototypes ]
# pragma mark -

# ifndef __VODI_UTILS_LIBINTR_LINKAGE__
#  include <Vodi/utils/libintr/Linkage.h>
# endif

__MYC_BEGIN_CDECLS

__myc_flinkage__(public,libVodiUTILS) vodi_sex_t *
__attribute__((nonnull(1,2)))
VodiSEXeval(
# if __myc_require(prototypes)
	vodi_sex_t *aDocument,
	char const *anExpression,
	...
# endif
	);

__myc_flinkage__(public,libVodiUTILS) char **
__attribute__((nonnull(1,2)))
VodiSEXtostr(
# if __myc_require(prototypes)
	char **aDstPtr,
	vodi_sex_t *anExpression,
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) vodi_sex_tup_t *
__attribute__((nonnull(1)))
VodiSEXtotup(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) bo_stsbool_t
__attribute__((nonnull(1)))
VodiSEXtobool(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) int
__attribute__((nonnull(1)))
VodiSEXtoi(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	bo_status_t *aStatusPtr __myc_defval__(NULL),
	int aBase __myc_defval__(0),
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) unsigned int
__attribute__((nonnull(1)))
VodiSEXtoui(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	bo_status_t *aStatusPtr __myc_defval__(NULL),
	int aBase __myc_defval__(0),
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) long
__attribute__((nonnull(1)))
VodiSEXtol(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	bo_status_t *aStatusPtr __myc_defval__(NULL),
	int aBase __myc_defval__(0),
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) unsigned long
__attribute__((nonnull(1)))
VodiSEXtoul(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	bo_status_t *aStatusPtr __myc_defval__(NULL),
	int aBase __myc_defval__(0),
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) int32_t
__attribute__((nonnull(1)))
VodiSEXtoi32(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	bo_status_t *aStatusPtr __myc_defval__(NULL),
	int aBase __myc_defval__(0),
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) u_int32_t
__attribute__((nonnull(1)))
VodiSEXtoui32(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	bo_status_t *aStatusPtr __myc_defval__(NULL),
	int aBase __myc_defval__(0),
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) int64_t
__attribute__((nonnull(1)))
VodiSEXtoi64(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	bo_status_t *aStatusPtr __myc_defval__(NULL),
	int aBase __myc_defval__(0),
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) u_int64_t
__attribute__((nonnull(1)))
VodiSEXtoui64(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	bo_status_t *aStatusPtr __myc_defval__(NULL),
	int aBase __myc_defval__(0),
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) float
__attribute__((nonnull(1)))
VodiSEXtof(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	bo_status_t *aStatusPtr __myc_defval__(NULL),
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__myc_flinkage__(public,libVodiUTILS) double
__attribute__((nonnull(1)))
VodiSEXtod(
# if __myc_require(prototypes)
	vodi_sex_t *anExpression,
	bo_status_t *aStatusPtr __myc_defval__(NULL),
	struct aorp_error *anErrPtr __myc_defval__(NULL)
# endif
	);

__MYC_END_CDECLS

#endif /* !defined(__VODI_UTILS_SEX_STDLIB__) */

/******************************************************************************
 *
 *
 *
 *****************************************************************************/
