
.PHONY: build clean rebuild

buildstyle = release
EXAMPLES = static dynamic track bestframe

OPTDIR = ${SRCDIR}/../../..

CINCPATHS = -I. -I${OPTDIR}/include
LIBPATHS = -L${OPTDIR}/lib

CFLAGS_release = ${CINCPATHS} -g0 -O2 -Wno-attributes
LFLAGS_release = ${LIBPATHS} -lVodi -lVodiUTILS -lBo

CFLAGS = ${CFLAGS_${buildstyle}}
LFLAGS = ${LFLAGS_${buildstyle}}

all:: build
build: ${EXAMPLES}
rebuild: clean build
clean:
	@rm -f ${EXAMPLES}
% : %.c
	@${CC} ${CFLAGS} $^ -o $@ ${LFLAGS}

